.recipe {
}

.recipe-info {
  display: flex;
  flex-direction: column;
  gap: var(--margin);
}

@media (width >= 940px) {
  .recipe-info {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: auto auto 1fr auto auto;
    grid-template-areas: "name        name        image     "
                         "author      author      image     "
                         "description description image     "
                         "duration    difficulty  yield     "
                         "categories  categories  categories";
  }
}

.recipe-name {
  grid-area: name;
}

.recipe-image {
  max-height: 300px;
  grid-area: image;
}

.recipe-author {
  grid-area: author;
}

.recipe-description {
  grid-area: description;
}

.recipe-duration {
  grid-area: duration;
}

.recipe-difficulty {
  grid-area: difficulty;
}

.recipe-yield {
  grid-area: yield;
}

.recipe-categories {
  grid-area: categories;
}

.recipe-draggable.highlight {
  background: var(--color-secondary);
}

.recipe-draggable.highlight input {
  --input-border-color: var(--color-secondary-h2);
}

.recipe-draggable.highlight textarea {
  --input-border-color: var(--color-secondary-h2);
}

.recipe-draggable.highlight button {
  --button-background-hover: var(--color-secondary-h1);
}

.recipe-draggable .handle {
  grid-area: handle;
  align-items: start;
}

.recipe-draggable .delete {
  grid-area: delete;
}

:is(.recipe-ingredients, .recipe-instructions) :is(header, footer) {
  padding: var(--margin) 0;
}

:is(.recipe-ingredients, .recipe-instructions) h2 {
  margin: 0;
}

:is(.recipe-ingredients, .recipe-instructions) footer {
  text-align: end;
}

.recipe-ingredient {
  padding: var(--margin);
  padding-left: var(--margin-sm);

  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-areas: "handle name  "
                       "handle quantity"
                       "delete comment";
  gap: var(--margin-sm)
}

.recipe-ingredient > .name {
  grid-area: name;
}

.recipe-ingredient > .name.title {
  font-weight: 600;
  font-style: italic;
}

.recipe-ingredient > .quantity {
  grid-area: quantity;
}

.recipe-ingredient > .comment {
  grid-area: comment;
}

@media (width >= 940px) {
  .recipe-ingredient {
    padding-right: var(--margin-sm);

    grid-template-columns: auto auto auto 1fr auto;
    grid-template-areas: "handle name quantity comment delete";
  }
}

.recipe-instruction {
  display: grid;
  grid-template-columns: auto 1fr;
  grid-template-rows: 1fr auto;
  grid-template-areas: "handle text"
                       "delete text";
  gap: var(--margin-sm);
}

.recipe-instruction > .text {
  grid-area: text;
}

@media (width >= 940px) {
  .recipe-instruction {
    grid-template-columns: auto 1fr auto;
    grid-template-areas: "handle text delete";
  }
}